Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.http
Class DefaultSessionFilter

    java.lang.Object
      |
      +--com.bea.p13n.http.DefaultSessionFilter

Direct Known Subclasses:
  DefaultRequestFilter

public class DefaultSessionFilter
extends java.lang.Object
implements com.bea.p13n.http.internal.Filter, com.bea.p13n.http.internal.MapFilter, java.io.Serializable

The default P13N Session Filter. This class implements a filter that determines the objects in the HTTP session are to be used in the construction of the P13N Session object.

See Also:
  Serialized Form

Constructor Summary
`DefaultSessionFilter()` Default Constructor

Method Summary
`java.util.Map` | `filter(java.util.Map aMap)` This filter will include values in the source map whose value object's class matches the following types: java.lang.String java.lang.Boolean java.lang.Long java.lang.Double java.sql.Timestamp java.util.Collection since these are the only types supported by the rules editor.
`java.lang.Object` | `filter(java.lang.Object in)` Filter the given input object according to the object's class.
`boolean` | `isAllowableType(java.lang.Class cl)` Determine if the specified class is one this object should allow.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultSessionFilter

    public DefaultSessionFilter()

  Default Constructor

Method Detail

### filter

    public java.util.Map filter(java.util.Map aMap)

  This filter will include values in the source map whose value object's class matches the following types: java.lang.String java.lang.Boolean java.lang.Long java.lang.Double java.sql.Timestamp java.util.Collection since these are the only types supported by the rules editor.
  Specified by:
    filter in interface com.bea.p13n.http.internal.MapFilter

  Parameters:
    `aMap` - The source Map object that contains the session key/value pairs.
  Returns:
    The filtered Map

### filter

    public java.lang.Object filter(java.lang.Object in)

  Filter the given input object according to the object's class.
  Specified by:
    filter in interface com.bea.p13n.http.internal.Filter

  See Also:
    `isAllowableType(java.lang.Class)`

### isAllowableType

    public boolean isAllowableType(java.lang.Class cl)

  Determine if the specified class is one this object should allow.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved